<style>
    .header {
        display: flex;
        flex-direction: row;
        padding: 15px 20px 5px 20px;
        justify-content: flex-start;
        align-items: center;
        z-index: 1;
        /*background-color: rgba(255,255,255,0.1);*/
    }
    .logo-container {
        width: 250px;
        margin-right: 1rem;
        position: absolute;
        left: 10px;
    }

    .logo_image {
        height: 32px;
        vertical-align: middle;
        margin-top: -6px;
    }
    .sign-in {
        height: 30px;
        vertical-align: middle;
        margin-top: -6px;
    }
    .header-fill {
        flex-grow: 1;
    }
    .header-menu-item {
        margin-left: 10px;
        margin-right: 10px;
        color: #aaa;
        font-size: 1.5em;
        cursor: pointer;
    }
    .header-admin-item {
        margin-left: 10px;
        margin-right: 10px;
        color: #aaa;
        font-size: 1.1em;
        cursor: pointer;
    }
    .trigger {
        display: flex;
        align-items: center;
        color: white;
    }

    .trigger:hover,
    .trigger:visited {
        text-decoration: none;
        color: #fff;
    }
    .trigger:hover {
        opacity: 0.7;
    }
    .search-container {
        flex: 1;
    }

    .header-menu-item-personal {
    }
    .header-menu-item:hover {
        text-decoration: underline;
    }
    .header-nav {
        display: flex;
        justify-content: space-between;
        padding-right: 20px;
        margin-bottom: 20px;
    }
    .brand-logo {
        font-size: 2em;
        margin-right: 5px;
        color: inherit;
        font-style: italic;
        font-weight: 600;
        font-family: 'Ubuntu', sans-serif;
    }
    .background-cover {
        background-color: rgba(0,0,0,0.9);
        position: fixed;
        top:0;
        left:0;
        right:0;
        bottom:0;
        z-index: -1;
    }
    .header-separator {
        border-right: 1px solid #aaa;
        margin-left: 10px;
        margin-right: 10px;
    }
    .flex-row {
        display: flex;
        align-items: center;
    }
    .user-badge-image {
        border-radius: 50%;
        width: 20px;
        height: 20px;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        margin: 5px;
    }

    .popoverContentContainer {
        position:relative;
        top: 0px;
        left: 0px;
        width: 100%;
    }
    #optionMenu,
    .optionView {
        display: flex;
        flex-direction: column;
    }
    #optionMenu button,
    #optionMenu a {
        width:100%;
        margin:5px 0;
    }
    .optionView button {
        float:left;
    }
    .popover {
        width:400px;
    }
    .popover-inner {
        position:relative;
    }
    .popover-title {
        text-align:center;
        color:black;
        font-weight: bolder
    }

    .admin-area {
        color: black;
        background-color: #fee;
        margin-top: 20px;
    }
    @media only screen and (min-width: 500px) {
        .beta{
            visibility: visible;
        }
    }
    @media only screen and (max-width: 499px) {
        .beta{
            visibility: hidden;
        }
    }

    .forum-container {
        margin-right: 2rem;
    }

    nav {
        padding-top: 10px;
        padding-bottom: 5px;
        background-color: black;
        width: 100%;
        height: 50px;
    }

    i {
      color: black;
      padding: 5px;
    }

    /* INNER NAV PARTS */

    .inner-navbar {
      width: 80%;
      background-color: black;
      margin: 0 auto;
      height: 100%;
    }

    .logo-container {
      flex: 0.15;
      flex-shrink: 0;
    }

    /* SEARCH  */

    .search-container {
      flex: .5;
      display: flex;
      align-items: center;
      justify-content: flex-end;
      position: absolute;
      right: 200px;
    }

    #form1 {
      background-color: white;
      border-radius: 50px;
      height: 30px;
      padding-bottom: -5px;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    #input1{
      width: 80%;
      border: none;
      outline: none;
      color: black;
      height: 20px
    }

    .search-button {
      border: none;
      background-color: white;
      cursor: pointer;
      position: relative;
      right: 10px;
      outline: none;
    }

    .icon-container {
      display: flex;
      align-items: center;
      justify-content: space-between;
      position: absolute;
      right: 10px;
    }

    .content-hide {
      display: none !important;
    }

</style>
<div class="background-cover"></div>
<!-- The Modal -->
<div id="thread-modal" class="modal-behavior modal-ui">
    <!-- Modal content -->
    <div class="modal-content-behavior modal-content-ui"></div>
</div>

<!-- The Modal -->
<div id="play-queue-modal" class="modal-behavior play-queue-modal-ui">
    <!-- Modal content -->
    <div class="modal-content-behavior play-queue-modal-content-ui">
        <%- include ../partials/play-queue-active.ejs %>
    </div>
</div>

<nav>
  <div class="inner-navbar">
    <div class="container">
        <div class="logo-container">
            <a href="/feed">
              <img width="150px" class="big-screen-only" src="/images/logon.png">
              </img>
            </a>
            <p class="beta big-screen-only" style="font: 'Lato'; color: #fbbf02; position: absolute; top: 2px; left: 160px; font-weight: 800"> beta </p>
        </div>

        <% if (isAuthenticated) { %>
            <div class="search-container">
                <form id="form1" action="/browse?genre=<%= typeof genreFilter != "undefined" ? genreFilter : "" %>&sort=<%= typeof sort != "undefined" ? sort : "" %>" method="post">
                    <input class="search-txt form-control text-large pl25"
                            type="text"
                            id="input1"
                            name="search"
                            placeholder="Search"
                            value="<%= typeof searchTerm != "undefined" ? searchTerm : ""  %>"
                            style="font-size: 13px"
                    >
                    <a href="/browse">
                        <button class="search-button" type="submit"><i class="fa fa-search"></i></button>
                    </a>
                </form>
            </div>
        <% } %>
        <div class="icon-container">
        <% if (user.profileAddress) { %>
            <a href="/artist/<%= user.profileAddress %>" title="View your public profile" style="color: white; margin-right:15px">
                <div>
                    <a href="/artist/<%= user.profileAddress %>">
                        <i class="fa fa-users" title="View your public profile" aria-hidden="true" style="font-size: 18px; color: white"></i>
                    </a>
                </div>
            </a>
        <% } else { %>
            <div class="unpublished-info" data-toggle="tooltip" data-html="true"
                data-placement="auto" title="By publishing your profile, you agree to our <a href='/terms'>terms of use</a>">
                    <i class="fa fa-info" aria-hidden="true" style="color: white"></i>
            </div>
        <% } %>
        <!--<div>
            <a href="https://forum.musicoin.org" target="_blank">
                <i class="fa fa-wpforms" title="Forum" style="font-size: 18px; color: white"></i>
            </a>
        </div>-->
        <div class="flex-row">
            <% if (isAuthenticated) { %>
                <div class="popover-markup">
                    <a href="#" class="trigger" title="<%=user.profile.artistName%>">
                        <div class="user-badge-image" style="background-image: url('<%=user.profile.image%>')" small></div>
                        <div class="balance-placeholder" title="My balance" style="margin-left: -10px">
                            <span class="text-large" style="padding-left:5px; font-size: 14px; color: white"><%= user.formattedBalance%></span>
                            <span style="color: white; font-size: 14px; color: white"><b> MC</b></span>
                        </div>
                    </a>
                    <div class="head hide"><%=user.profile.artistName%></div>
                    <div class="content hide">
                        <div class="popoverContentContainer">
                            <div id="optionMenu">
                                <% if (user.profileAddress) { %>
                                    <% if ((user.verified) || (user.mostRecentReleaseDate == null)) { %>
                                        <a href="/release-manager" class="btn btn-default">Release</a>
                                    <% } else { %>
                                        <a style="color: black" onclick="alert('You are not verified as a musician. \n \nQ: What should I do to increase the chances for verification of my profile? \nA: Link Twitter and Facebook account to your Musicoin profile. Avoid adding newly created accounts if you have better ones(in terms of showing more about you and your music) because that will considerably decrease chances to be verified. The purpose of having these two accounts linked to your Musicoin profile is to confirm to us that you are a real person, you are the owner of the accounts, and also to show us some history of your musical work. \n \nEnter links of your SoundCloud, Bandcamp, ReverbNation, YouTube accounts(if you have any) in corresponding fields at https://musicoin.org/nav/profile \n \nLink of your Facebook artist page can be added in the first field(named Artist website profile page url) \n \nDont forget to upload one of your songs. Artists get in queue for verification only after releasing one song on the platform. You will be able to upload only 1 song before your profile is verified. To avoid any possible issues with uploading make sure file is in mp3 format, and also to enter the title, genre, and tags. \n \nDont forget to enter the profile name, add images, and description in profile edit section https://musicoin.org/nav/profile and upload a cover image')" class="header-menu-item" title="release"><i class="fa fa-cloud-upload" aria-hidden="true" style="color: black"></i>&nbsp;Upload Song</a>
                                    <% } %>
                                <% } %>
                                <a href="/main" class="btn btn-default"><i class="fa fa-home" aria-hidden="true"></i>
                                    <% if(user.AOWBadge)
                                     { %>
                                    <img width="40" src="/images/AOWBadge.png"></img> <% } %>
                                    &nbsp;Home</a>
                                <a href="/profile" class="btn btn-default">My Profile</a>
                                <a href="/logout" target="_top" class="btn btn-danger">Sign Out</a>
                            </div>

                            <% if(!user.google.token || !user.twitter.token || !user.facebook.token) { %>
                            <div class="center-text subtle-text flex-column mb5 mt10">
                                <div>Link another account</div>
                                <div class="flex-row center-text">
                                    <% if(!user.google.token) { %>
                                    <div class="mr5"><a href="/connect/google" target="_top" class="btn btn-danger btn-sm"><span class="fa fa-google-plus"></span></a></div>
                                    <% } %>

                                    <% if(!user.twitter.token) { %>
                                    <div class="mr5"><a href="/connect/twitter" target="_top" class="btn btn-info btn-sm"><span class="fa fa-twitter"></span></a></div>
                                    <% } %>

                                    <% if(!user.facebook.token) { %>
                                    <div class="mr5"><a href="/connect/facebook" target="_top" class="btn btn-primary btn-sm"><span class="fa fa-facebook"></span></a></div>
                                    <% } %>

                                    <% if(!user.local.id) { %>
                                    <div class="mr5"><a href="/connect/email" target="_top" class="btn btn-default btn-sm"><span class="fa fa-envelope-o"></span></a></div>
                                    <% } %>
                                </div>
                            </div>
                            <% } %>

                            <% if(user.google.id || user.twitter.id || user.facebook.id) { %>
                            <div class="center-text subtle-text flex-column mt20">
                                <a onclick='$("#unlink").toggle()' class="clickable">Want to unlink an account?</a>
                                <div id=unlink  style="display: none" class="alert alert-danger">
                                    <div class="flex-row center-text mt10">
                                        <% if(user.google.token) { %>
                                        <div class="mr5"><div onclick="unlink('google')" class="btn btn-danger btn-sm"><span class="fa fa-google-plus"></span></div></div>
                                        <% } %>

                                        <% if(user.twitter.token) { %>
                                        <div class="mr5"><div onclick="unlink('twitter')" class="btn btn-info btn-sm"><span class="fa fa-twitter"></span></div></div>
                                        <% } %>

                                        <% if(user.facebook.token) { %>
                                        <div class="mr5"><div onclick="unlink('facebook')" class="btn btn-primary btn-sm"><span class="fa fa-facebook"></span></div></div>
                                        <% } %>

                                        <% if(user.local.id) { %>
                                        <div class="mr5"><div onclick="unlink('local')" class="btn btn-default btn-sm"><span class="fa fa-envelope-o"></span></div></div>
                                        <% } %>
                                    </div>
                                    <div class="center-text">
                                        Select an account to unlink
                                    </div>
                                </div>
                            </div>
                            <% } %>


                            <% if (typeof isAdmin != "undefined" && isAdmin) { %>
                            <div class="admin-area">
                                <div class="text-normal text-center">Admin Functions</div>
                                <div class="flex-row">
                                    <a href="/admin/users" class="header-admin-item text-danger"><i class="fa fa-users" aria-hidden="true" title="users"></i></a>
                                    <a href="/admin/contacts" class="header-admin-item text-danger"><i class="fa fa-address-card" aria-hidden="true"></i></a>
                                    <a href="/admin/overview" class="header-admin-item text-danger" title="admin"><i class="fa fa-pie-chart" aria-hidden="true"></i></a>
                                    <a href="/admin/su" class="header-admin-item text-danger" title="log in as...">su</a>
                                </div>
                            </div>
                            <% } %>
                        </div>
                    </div>
                </div>
            <% } %>
        </div>
      </div>
    </div>
  </div>
</nav>

<script>

    function unlink(method) {
      var type = method == "local" ? "email" : method;
      new Message("Are you sure you want to unlink your " + type + " account?", "warning", 5000)
        .button('ok', function() {
          $.post("/unlink/" + method, {}, function (data) {
            if (data.success) {
              new Message(data.message, "success", 3000);
            }
            else {
              new Message(data.message, "error", 3000);
            }
          })
        })
    }

  $( document ).ready(function() {
    $('.optionView').hide();

    $(document).on('change', '#messagePreference', function () {
      var checked = $("#messagePreference")[0].checked;
      $.post("/preferences/update", {
        notifyOnComment: checked
      }, function (data) {
        if (data.success) {

        }
        else {
          new Message("Failed to update preferences", "error", 3000);
          $("#messagePreference")[0].checked = !checked;
        }
      })
    })

    // Popover
    $(function(){
      $('.popover-markup > .trigger').popover({
        html: true,
        placement: "bottom",
        title: function () {
          return $(this).parent().find('.head').html();
        },
        content: function () {
          return $(this).parent().find('.content').html();
        },
        template: '<div class="popover dashboardPopover"><div class="arrow"></div><div class="popover-inner"><h3 class="popover-title"></h3><div class="popover-content"></div></div></div>'
      });
    });
  });
</script>
